For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
        • Checkouts
        • Currencies
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
        • Inventory
        • Orders
        • Order Operations
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
        • Shipping
              • GETList Shipping Zones
              • POSTCreate Shipping Zone
              • GETGet Shipping Zone
              • PUTUpdate Shipping Zone
              • DELDelete Shipping Zone
        • Sites
        • Subscribers
        • System Logs
        • Tax
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementShippingV2Shipping Zones

Update Shipping Zone

PUT
https://api.bigcommerce.com/stores/:store_hash/v2/shipping/zones/:id
PUT
/stores/:store_hash/v2/shipping/zones/:id
$curl -X PUT https://api.bigcommerce.com/stores/store_hash/v2/shipping/zones/1 \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "name": "Northwest Region"
>}'
200Updated
1{
2 "name": "Northwest Region",
3 "id": 1,
4 "type": "state",
5 "locations": [
6 {
7 "id": 3,
8 "zip": "98101",
9 "country_iso2": "US",
10 "state_iso2": "WA"
11 }
12 ],
13 "free_shipping": {
14 "enabled": true,
15 "minimum_sub_total": "50.0000",
16 "exclude_fixed_shipping_products": false
17 },
18 "handling_fees": {
19 "fixed_surcharge": "4.99",
20 "display_separately": true
21 },
22 "enabled": true
23}
Updates a *Shipping Zone*. **Required Fields** * name **Read Only Fields** * id
Was this page helpful?
Previous

Get Shipping Zone

Next

Delete Shipping Zone

Built with

Updates a Shipping Zone.

Required Fields

  • name

Read Only Fields

  • id

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Information & Settings | modify | `store_v2_information` | | Information & Settings | read-only | `store_v2_information_read_only` | ### Authentication header | Header | Argument | Description | | - | - | - | | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

idintegerRequired
ID of the shipping zone.
store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

Request

This endpoint expects an object.
namestringRequired
Zone name. Required for PUT requests.
typeenumOptional
Allowed values:
locationslist of objectsOptional

Array of zone locations. BigCommerce has a platform limit of 40000 zip type locations.

free_shippingobjectOptional
handling_feesobjectOptional
enabledbooleanOptional
Whether this shipping zone is enabled.

Response

namestring
Zone name. Required for PUT requests.
idintegerRead-only

Zone ID. Read-only.

typeenum
Allowed values:
locationslist of objects
Array of zone locations.
free_shippingobject
handling_feesobject
enabledboolean
Whether this shipping zone is enabled.

OAuth scopes

UI NamePermissionParameter
Information & Settingsmodifystore_v2_information
Information & Settingsread-onlystore_v2_information_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

The MIME type of the response body.